print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebeer = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local popcornHudFile = "Paletten/hud_fill_popcorn.dds"
	local popcornHudFileSmall = "Paletten/hud_fill_popcorn_smal.dds"
	
    local popcornFilType = g_fillTypeManager:addFillType("POPCORN", g_i18n:getText("popcorn"), true, pricebeer * 2.2, 0.00045, math.rad(10), popcornHudFile, popcornHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local haspopcorn=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	haspopcorn=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "POPCORN" then
		haspopcorn=true
	end;
		
end;

		if hasmaize and not haspopcorn then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("POPCORN")
		local price = g_fillTypeManager:getFillTypeByName("POPCORN").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("POPCORN")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)